#!/bin/bash

###############
# Configuration
# URL
URL=http://localhost/events
# User and password in case of authentication
AUTH_USER=
AUTH_PASS=
###############

DATA=
while read line; do
	DATA="${DATA}${line}"
done < /dev/stdin

AUTH_OPT=
if [ ! -z "$AUTH_USER" ] && [ ! -z "$AUTH_PASS" ]; then
	AUTH_OPT="-u ${AUTH_USER}:${AUTH_PASS}"
fi

curl -s --max-time 1 ${AUTH_OPT} -X POST ${URL} -d "${DATA}"

